// Contacts JS functions

function startContactsImport(btn) {

	btn.disabled = true;

	var loading_msg = Ext.get('query_loading_msg');
	
	var box = Ext.get('query_result');
	box.dom.style.display = 'block';
	box.dom.innerHTML = loading_msg.dom.innerHTML;
	
	var opt = Ext.JSON.decode(Ext.get('ext_auth_obj').dom.value);
	var URL = "/opmon/opcfg/import_contacts.php?action=start_query";
	Ext.Ajax.request({
		url: URL,
		method: 'post',
		timeout: 120000,
		params: { opt: Ext.JSON.encode(opt) },
		success:	function( result, request ) {
			// Update query log
			Ext.get('query_result').dom.innerHTML = result.responseText;
			
			// Re-enable button
			btn.disabled = false;
		},
		failure:	function( response, opt ) {
			alert("Connection timeout!");
			btn.disabled = false;
			box.dom.style.display = 'none';
		}
	});

}

